#
# spec file for package perl-XXX
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XXX
Version:        0.31
Release:        1.1
%define cpan_name XXX
Summary:        See Your Data in the Nude
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XXX/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(YAML)
Requires:       perl(YAML)
Recommends:     perl(YAML::XS)
%{perl_requires}

%description
XXX.pm exports a function called XXX that you can put just about anywhere
in your Perl code to make it die with a YAML dump of the arguments to its
right.

The charm of XXX-debugging is that it is easy to type, rarely requires
parens and stands out visually so that you remember to remove it.

XXX.pm also exports WWW, YYY and ZZZ which do similar debugging things.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Fri Jan  6 2017 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-XXX/Changes
  0.31 Thu Jan  5 12:07:51 PST 2017
  - Fix dumping global regex vars. @EvanCarroll++ PR/2
* Thu May  5 2016 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-XXX/Changes
  0.30 Wed Apr 27 06:54:32 PDT 2016
  - Apply PR/9 by @mienaikage++.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-XXX/Changes
* Fri Dec  3 2010 coolo@novell.com
- initial package 0.17
  * created by cpanspec 1.78.03
